Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.beans.metadata.spi
Interface FeatureMetaData

All Superinterfaces:
  Cloneable, org.jboss.util.JBossInterface, MetaDataVisitorNode

All Known Subinterfaces:
  BeanMetaData, ClassLoaderMetaData, ConstructorMetaData, LifecycleMetaData, ParameterMetaData, PropertyMetaData, SupplyMetaData

All Known Implementing Classes:
  AbstractBeanMetaData, AbstractClassLoaderMetaData, AbstractConstructorMetaData, AbstractFeatureMetaData, AbstractLifecycleMetaData, AbstractParameterMetaData, AbstractPropertyMetaData, AbstractSupplyMetaData

public interface FeatureMetaData
extends org.jboss.util.JBossInterface, MetaDataVisitorNode

General MetaData

Version:
  $Revision: 1.4 $
Author:
  Adrian Brock

Method Summary
`Set` | `getAnnotations()` Get the annotations.
`String` | `getDescription()` Get the descrition.

Methods inherited from interface org.jboss.util.JBossInterface
`clone, toShortString, toShortString`

Methods inherited from interface org.jboss.beans.metadata.spi.MetaDataVisitorNode
`getChildren, visit`

Method Detail

### getDescription

    public String getDescription()

  Get the descrition.

  Returns:
    the description.

### getAnnotations

    public Set getAnnotations()

  Get the annotations.

  Returns:
    Set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.